StarPageAttribute Namespace Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
StarPageAttribute Namespace Reference

namespace used to contain page attributes More...

## Classes
class | StarPAttributeBool
| a character bool attribute More...
class | StarPAttributeColor
| a character color attribute More...
class | StarPAttributeInt
| a character integer attribute More...
class | StarPAttributeItemSet
| a list of item attribute of StarAttributeInternal More...
class | StarPAttributePage
| a page header/footer attribute a page attribute More...
class | StarPAttributePageHF
class | StarPAttributePrint
| a print attribute More...
class | StarPAttributeRangeItem
| a rangeItem attribute More...
class | StarPAttributeUInt
| a character unsigned integer attribute More...
class | StarPAttributeVec2i
| an Vec2i attribute More...
class | StarPAttributeViewMode
| a character unsigned integer attribute More...
class | StarPAttributeVoid
| a void attribute More...
class | SubDocument
| Internal: the subdocument of a StarObjectSpreadsheet. More...

## Functions
void | addAttributeBool (std::map< int, shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, bool defValue)
| add a bool attribute More...
void | addAttributeColor (std::map< int, shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, STOFFColor const &defValue)
| add a color attribute More...
void | addAttributeInt (std::map< int, shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, int numBytes, int defValue)
| add a int attribute More...
void | addAttributeUInt (std::map< int, shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, int numBytes, unsigned int defValue)
| add a unsigned int attribute More...
void | addAttributeVoid (std::map< int, shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName)
| add a void attribute More...
void | addInitTo (std::map< int, shared_ptr< StarAttribute > > &whichToAttributeMap)
| adds character attribute to the general it to attribute map More...

## Detailed Description

namespace used to contain page attributes

## Function Documentation

void StarPageAttribute::addAttributeBool | ( | std::map< int, shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | bool | defValue
| ) |  |
| inline

add a bool attribute

Referenced by addInitTo().

void StarPageAttribute::addAttributeColor | ( | std::map< int, shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | STOFFColor const & | defValue
| ) |  |
| inline

add a color attribute

void StarPageAttribute::addAttributeInt | ( | std::map< int, shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | int | numBytes,
|  | int | defValue
| ) |  |
| inline

add a int attribute

void StarPageAttribute::addAttributeUInt | ( | std::map< int, shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | int | numBytes,
|  | unsigned int | defValue
| ) |  |
| inline

add a unsigned int attribute

Referenced by addInitTo().

void StarPageAttribute::addAttributeVoid | ( | std::map< int, shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName
| ) |  |
| inline

add a void attribute

void StarPageAttribute::addInitTo | ( | std::map< int, shared_ptr< StarAttribute > > & | map | ) |

adds character attribute to the general it to attribute map

Referenced by StarAttributeInternal::State::initAttributeMap().